# Copyright 2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

# Autogenerated by pycargoebuild 0.15.0

EAPI=8

CRATES="
	addr2line@0.24.2
	adler2@2.0.1
	aho-corasick@1.1.3
	aligned-vec@0.6.4
	allocator-api2@0.2.21
	anyhow@1.0.98
	arbitrary@1.4.1
	arg_enum_proc_macro@0.3.4
	arraydeque@0.5.1
	arrayvec@0.7.6
	async-trait@0.1.88
	autocfg@1.5.0
	av1-grain@0.2.4
	avif-serialize@0.8.4
	backtrace@0.3.75
	base64@0.21.7
	base64@0.22.1
	better-panic@0.3.0
	bit_field@0.10.2
	bitflags@1.3.2
	bitflags@2.9.1
	bitstream-io@2.6.0
	block-buffer@0.10.4
	built@0.7.7
	bumpalo@3.19.0
	bytemuck@1.23.1
	byteorder-lite@0.1.0
	bytes@1.10.1
	cassowary@0.3.0
	castaway@0.2.3
	cc@1.2.27
	cfg-expr@0.15.8
	cfg-if@1.0.1
	color_quant@1.1.0
	compact_str@0.8.1
	config@0.15.11
	console@0.15.11
	const-random-macro@0.1.16
	const-random@0.1.18
	convert_case@0.6.0
	convert_case@0.7.1
	cpufeatures@0.2.17
	crc32fast@1.4.2
	crossbeam-deque@0.8.6
	crossbeam-epoch@0.9.18
	crossbeam-utils@0.8.21
	crossterm@0.28.1
	crossterm@0.29.0
	crossterm_winapi@0.9.1
	crunchy@0.2.4
	crypto-common@0.1.6
	darling@0.20.11
	darling_core@0.20.11
	darling_macro@0.20.11
	deranged@0.4.0
	derive_more-impl@2.0.1
	derive_more@2.0.1
	digest@0.10.7
	dirs-sys@0.5.0
	dirs@6.0.0
	dlv-list@0.5.2
	document-features@0.2.11
	either@1.15.0
	encode_unicode@1.0.0
	encoding_rs@0.8.35
	equator-macro@0.4.2
	equator@0.4.2
	equivalent@1.0.2
	errno@0.3.13
	exr@1.73.0
	fdeflate@0.3.7
	filedescriptor@0.8.3
	filetime@0.2.25
	flate2@1.1.2
	fnv@1.0.7
	foldhash@0.1.5
	fsevent-sys@4.1.0
	generic-array@0.14.7
	getrandom@0.2.16
	getrandom@0.3.3
	gif@0.13.3
	gimli@0.31.1
	half@2.6.0
	hashbrown@0.14.5
	hashbrown@0.15.4
	hashlink@0.10.0
	heck@0.5.0
	http@1.3.1
	httparse@1.10.1
	icy_sixel@0.1.3
	ident_case@1.0.1
	image-webp@0.2.3
	image@0.25.6
	imgref@1.11.0
	indexmap@2.9.0
	indoc@2.0.6
	inotify-sys@0.1.5
	inotify@0.11.0
	instability@0.3.7
	interpolate_name@0.2.4
	is-docker@0.2.0
	is-wsl@0.4.0
	itertools@0.12.1
	itertools@0.13.0
	itertools@0.14.0
	itoa@1.0.15
	jobserver@0.1.33
	jpeg-decoder@0.3.2
	json5@0.4.1
	kqueue-sys@1.0.4
	kqueue@1.1.1
	lazy_static@1.5.0
	lebe@0.5.2
	libc@0.2.174
	libfuzzer-sys@0.4.9
	libredox@0.1.4
	linux-raw-sys@0.4.15
	linux-raw-sys@0.9.4
	litrs@0.4.1
	lock_api@0.4.13
	log@0.4.27
	loop9@0.1.5
	lru@0.12.5
	maybe-rayon@0.1.1
	memchr@2.7.5
	minimal-lexical@0.2.1
	miniz_oxide@0.8.9
	mio@1.0.4
	new_debug_unreachable@1.0.6
	nom@7.1.3
	noop_proc_macro@0.3.0
	notify-types@2.0.0
	notify@8.0.0
	num-bigint@0.4.6
	num-conv@0.1.0
	num-derive@0.4.2
	num-integer@0.1.46
	num-rational@0.4.2
	num-traits@0.2.19
	num_threads@0.1.7
	object@0.36.7
	once_cell@1.21.3
	open@5.3.2
	option-ext@0.2.0
	ordered-multimap@0.7.3
	parking_lot@0.12.4
	parking_lot_core@0.9.11
	paste@1.0.15
	pathdiff@0.2.3
	percent-encoding@2.3.1
	pest@2.8.1
	pest_derive@2.8.1
	pest_generator@2.8.1
	pest_meta@2.8.1
	pkg-config@0.3.32
	png@0.17.16
	powerfmt@0.2.0
	ppv-lite86@0.2.21
	proc-macro2@1.0.95
	profiling-procmacros@1.0.17
	profiling@1.0.17
	qoi@0.4.1
	quick-error@2.0.1
	quote@1.0.40
	r-efi@5.3.0
	rand@0.8.5
	rand_chacha@0.3.1
	rand_core@0.6.4
	ratatui-image@8.0.1
	ratatui@0.29.0
	rav1e@0.7.1
	ravif@0.11.20
	rayon-core@1.12.1
	rayon@1.10.0
	redox_syscall@0.5.13
	redox_users@0.5.0
	regex-automata@0.4.9
	regex-syntax@0.8.5
	regex@1.11.1
	rgb@0.8.50
	ring@0.17.14
	ron@0.8.1
	rust-ini@0.21.1
	rustc-demangle@0.1.25
	rustix@0.38.44
	rustix@1.0.7
	rustls-pemfile@2.2.0
	rustls-pki-types@1.12.0
	rustls-webpki@0.103.3
	rustls@0.23.28
	rustversion@1.0.21
	ryu@1.0.20
	same-file@1.0.6
	scopeguard@1.2.0
	serde@1.0.219
	serde_derive@1.0.219
	serde_json@1.0.140
	serde_spanned@0.6.9
	sha2@0.10.9
	shlex@1.3.0
	signal-hook-mio@0.2.4
	signal-hook-registry@1.4.5
	signal-hook@0.3.18
	simd-adler32@0.3.7
	simd_helpers@0.1.0
	smallvec@1.15.1
	static_assertions@1.1.0
	streaming-iterator@0.1.9
	strsim@0.11.1
	strum@0.26.3
	strum_macros@0.26.4
	subtle@2.6.1
	syn@2.0.104
	system-deps@6.2.2
	target-lexicon@0.12.16
	thiserror-impl@1.0.69
	thiserror-impl@2.0.12
	thiserror@1.0.69
	thiserror@2.0.12
	tiff@0.9.1
	time-core@0.1.4
	time@0.3.41
	tiny-keccak@2.0.2
	toml@0.8.23
	toml_datetime@0.6.11
	toml_edit@0.22.27
	tree-sitter-bash@0.23.3
	tree-sitter-c@0.23.4
	tree-sitter-cpp@0.23.4
	tree-sitter-css@0.23.2
	tree-sitter-elixir@0.3.4
	tree-sitter-go@0.23.4
	tree-sitter-highlight@0.25.6
	tree-sitter-html@0.23.2
	tree-sitter-java@0.23.5
	tree-sitter-javascript@0.23.1
	tree-sitter-json@0.24.8
	tree-sitter-language@0.1.5
	tree-sitter-lua@0.2.0
	tree-sitter-luau-fork@0.1.3
	tree-sitter-ocaml@0.24.2
	tree-sitter-php@0.23.11
	tree-sitter-python@0.23.6
	tree-sitter-rust@0.23.3
	tree-sitter-scala@0.23.4
	tree-sitter-typescript@0.23.2
	tree-sitter-yaml@0.7.1
	tree-sitter@0.25.6
	trim-in-place@0.1.7
	typenum@1.18.0
	ucd-trie@0.1.7
	unicode-ident@1.0.18
	unicode-segmentation@1.12.0
	unicode-truncate@1.1.0
	unicode-width@0.1.14
	unicode-width@0.2.0
	untrusted@0.9.0
	ureq-proto@0.4.2
	ureq@3.0.12
	utf-8@0.7.6
	v_frame@0.3.9
	version-compare@0.2.0
	version_check@0.9.5
	walkdir@2.5.0
	wasi@0.11.1+wasi-snapshot-preview1
	wasi@0.14.2+wasi-0.2.4
	wasm-bindgen-backend@0.2.100
	wasm-bindgen-macro-support@0.2.100
	wasm-bindgen-macro@0.2.100
	wasm-bindgen-shared@0.2.100
	wasm-bindgen@0.2.100
	webpki-roots@0.26.11
	webpki-roots@1.0.1
	weezl@0.1.10
	winapi-i686-pc-windows-gnu@0.4.0
	winapi-util@0.1.9
	winapi-x86_64-pc-windows-gnu@0.4.0
	winapi@0.3.9
	windows-core@0.58.0
	windows-implement@0.58.0
	windows-interface@0.58.0
	windows-result@0.2.0
	windows-strings@0.1.0
	windows-sys@0.52.0
	windows-sys@0.59.0
	windows-sys@0.60.2
	windows-targets@0.52.6
	windows-targets@0.53.2
	windows@0.58.0
	windows_aarch64_gnullvm@0.52.6
	windows_aarch64_gnullvm@0.53.0
	windows_aarch64_msvc@0.52.6
	windows_aarch64_msvc@0.53.0
	windows_i686_gnu@0.52.6
	windows_i686_gnu@0.53.0
	windows_i686_gnullvm@0.52.6
	windows_i686_gnullvm@0.53.0
	windows_i686_msvc@0.52.6
	windows_i686_msvc@0.53.0
	windows_x86_64_gnu@0.52.6
	windows_x86_64_gnu@0.53.0
	windows_x86_64_gnullvm@0.52.6
	windows_x86_64_gnullvm@0.53.0
	windows_x86_64_msvc@0.52.6
	windows_x86_64_msvc@0.53.0
	winnow@0.7.11
	wit-bindgen-rt@0.39.0
	yaml-rust2@0.10.3
	zerocopy-derive@0.8.26
	zerocopy@0.8.26
	zeroize@1.8.1
	zune-core@0.4.12
	zune-inflate@0.2.54
	zune-jpeg@0.4.18
"

inherit cargo

DESCRIPTION="A terminal markdown viewer"
HOMEPAGE="https://github.com/henriklovhaug/md-tui"
SRC_URI="https://github.com/henriklovhaug/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz
	${CARGO_CRATE_URIS}
"

LICENSE="AGPL-3+"
# Dependent crate licenses
LICENSE+="
	Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD-2 BSD CC0-1.0
	CDLA-Permissive-2.0 ISC MIT MPL-2.0 UoI-NCSA Unicode-3.0 ZLIB
"
SLOT="0"
KEYWORDS="~amd64"
